Apache JMeter

## org.apache.jmeter.report.gui.action
Class ReportLoad

    java.lang.Object
      org.apache.jmeter.report.gui.action.ReportLoad

All Implemented Interfaces:
  Command

    public class ReportLoad

extends Object
implements Command

Constructor Summary
`ReportLoad()`

Method Summary
`void` `doAction(ActionEvent e)`
`Set<String>` `getActionNames()`
`boolean` `insertLoadedTree(int id, HashTree tree)` Returns a boolean indicating whether the loaded tree was a full test plan

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportLoad

    public ReportLoad()

Method Detail

### getActionNames

    public Set<String> getActionNames()

  Specified by:
    `getActionNames` in interface `Command`

### doAction

    public void doAction(ActionEvent e)

  Specified by:
    `doAction` in interface `Command`

### insertLoadedTree

    public boolean insertLoadedTree(int id,
                                    HashTree tree)
                             throws Exception,
                                    IllegalUserActionException

  Returns a boolean indicating whether the loaded tree was a full test plan

  Throws:
    `Exception`
    `IllegalUserActionException`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.